Bug 85347 - DIALOG: Libreoffice's custom dialogs does not disable access to window behind it
Summary: DIALOG: Libreoffice's custom dialogs does not disable access to window behind it
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: low normal
Assignee: Adolfo Jayme
URL:
Whiteboard: target:4.4.0.0.beta2
Keywords: regression
Depends on:
Blocks: LO-File-Dialog
  Show dependency treegraph
 
Reported: 2014-10-22 21:00 UTC by Yousuf Philips (jay) (retired)
Modified: 2014-12-30 09:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-10-22 21:00:16 UTC
When LibreOffice's built in dialogs (Tools > Options > General > Use LibreOffice dialogs) appear, you can still access LibO's main window.

Examples include clicking on start center recent list items or clicking on the toolbar or sidebar in Writer.

Version: 4.4.0.0.alpha0+
Build ID: c68642d535f2ebb7f1cd866ad19b1fd018e7cd6d
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-10-18_23:03:32

This is a regression as it doesnt happen in 4.3.

Version: 4.3.4.0.0+
Build ID: bea74d73f4782b17f5286327f15db60ab3ae85de
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:libreoffice-4-3, Time: 2014-10-15_05:34:17
Comment 1 Cor Nouws 2014-10-22 21:05:01 UTC
IIRC there was some commit to improve this lately ?
Comment 2 Adolfo Jayme 2014-10-23 05:30:55 UTC
This is called “modal dialog”, and I’m working on this.
Comment 3 Commit Notification 2014-11-25 11:35:42 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e5a7e7249a32493d175ad94ee4e650320518d711

fdo#85347 Make file picker modal again

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-11-25 11:36:56 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6adc5da9246b098a3fcfdee094a742514dcec761&h=libreoffice-4-4

fdo#85347 Make file picker modal again

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.